CF_COLOUR_TABLE(3)

EXPERIMENTAL_FUNC
cf_colour_table - Compute a colourmap using a table.

SYNOPSIS
#include <karma_cf.h>

void cf_colour_table

(unsigned int num_cells, unsigned short *reds, unsigned short *greens, unsigned short *blues, unsigned int stride, double x, double y, CONST Colour_struct *lut, unsigned int lut_size)

DESCRIPTION
Compute a colourmap using a table.

num_cells
    The number of colour cells to modify.

reds
    The array of red intensity values. This may be NULL.

greens
    The array of green intensity values. This may be NULL.

blues
    The array of blue intensity values. This may be NULL.

stride
    The stride (in unsigned shorts) between intensity values in the array.

x   A parameter used to compute the colour values, ranging from 0.0 to 1.0.

y   A parameter used to compute the colour values, ranging from 0.0 to 1.0.

lut The lookup table.

lut_size
    The size of the lookup table.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/